Subject: CEO Meeting Update
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Sun, 20 May 2001 17:54:00 -0700 (PDT)

The CEO meetings on Thursday went very well, and we had great turnout.  
Attached is a final list of who Ken met with and a list of who we invited.  
The takeaway from both meetings was to draft a letter outlining our 
five-point solution proposal, and the CEOs would be willing to sign it and 
send to the governor and legislators.  Jeff and I drafted the letter and will 
finalize and send it to the CEOs on Monday.  I also think we ought to 
consider placing full-page ads with the letter and enlisting some of the CEOs 
to attend editorial boards.  At this point, it's important to keep Enron out 
of the picture.  We'll route the letter when it's finalized.  kd